# Uses of Enum Class
org.bukkit.block.data.type.Bamboo.Leaves

Packages that use Bamboo.Leaves
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Bamboo.Leaves in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Bamboo.Leaves
Modifier and Type
Method
Description
`@NotNull Bamboo.Leaves`
Bamboo.`getLeaves()`
Gets the value of the 'leaves' property.
`static Bamboo.Leaves`
Bamboo.Leaves.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bamboo.Leaves[]`
Bamboo.Leaves.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Bamboo.Leaves
Modifier and Type
Method
Description
`void`
Bamboo.`setLeaves(@NotNull Bamboo.Leaves leaves)`
Sets the value of the 'leaves' property.